<?php
/**
 * Plugin Name: Supr3.me Disable Registration Emails
 * Plugin URI:  http://www.supr3.me/plugin/supr3me-disable-registration-emails/
 * Description: Supr3.me Disable Registration emails disables admin notifications, user and password emails and welcome notifications
 * Version:     0.11
 * Author:      Supr3.me Plugins
 * Author URI:  http://www.supr3.me
 *
 * @author Supr3me Plugins <tech@supr3.me>
 */

// load in the Supr3meBaseAbstract class
if(!class_exists('Supr3meBaseAbstract'))
    require(__DIR__ . '/lib/Supr3meBaseAbstract.php');

class Supr3meDisableRegEmails extends Supr3meBaseAbstract {

    /**
     * Supr3meBaseAbstract Plugin constructor class
     */
    public function __construct () {

        // get the database global
        global $wpdb;

        // run parent constructor with our options
        parent::__construct('disable-registration-emails', array ());

        // run action after the plugins have loaded
        $this->action('plugins_loaded', 'disable_emails');

    }

    /**
     * Setup our functions to disable our emails
     * @return void
     */
    public function disable_emails () {

        // disable the new user notification
        if(!function_exists('wp_new_user_notification')) {
            function wp_new_user_notification () {}
        }

        // disable the password change notification
        if(!function_exists('wp_password_change_notification')) {
            function wp_password_change_notification () {}
        }
    }
}